Index: /branches/WebApplication/Administration/Views/DefaultViewPresenter.cs
===================================================================
--- /branches/WebApplication/Administration/Views/DefaultViewPresenter.cs	(revision 4584)
+++ /branches/WebApplication/Administration/Views/DefaultViewPresenter.cs	(revision 4585)
@@ -4,4 +4,5 @@
 using Microsoft.Practices.ObjectBuilder;
 using Microsoft.Practices.CompositeWeb;
+using System.Security.Permissions;
 
 namespace OKB.Administration.Views
@@ -15,5 +16,5 @@
             this._controller = controller;
         }
-
+        [PrincipalPermission(SecurityAction.Demand, Name = "Gerhard")]
         public string GetDateTimeString()
         {
Index: /branches/WebApplication/HeuristicLab.WebApplication.gpState
===================================================================
--- /branches/WebApplication/HeuristicLab.WebApplication.gpState	(revision 4584)
+++ /branches/WebApplication/HeuristicLab.WebApplication.gpState	(revision 4585)
@@ -7,12 +7,12 @@
       <References>
         <Reference>
-          <AssetName>C:\Dokumente und Einstellungen\Administrator\Lokale Einstellungen\Anwendungsdaten\Microsoft\VisualStudio\10.0\Extensions\Microsoft\Web Client Software Factory 2010\3.0\Templates\Projects\Module.CS\BusinessModule.vstemplate</AssetName>
+          <AssetName>C:\SYS\profiles\schwgh\Local Settings\Application Data\Microsoft\VisualStudio\10.0\Extensions\Microsoft\Web Client Software Factory 2010\3.0\Templates\Projects\Module.CS\BusinessModule.vstemplate</AssetName>
           <AppliesTo>Any solution folder or the solution root</AppliesTo>
-          <Blob>AAEAAAD/////AQAAAAAAAAAMAgAAAHdNaWNyb3NvZnQuUHJhY3RpY2VzLldlYkNsaWVudEZhY3RvcnkuR3VpZGFuY2VQYWNrYWdlLCBWZXJzaW9uPTMuMC4wLjAsIEN1bHR1cmU9bmV1dHJhbCwgUHVibGljS2V5VG9rZW49MzFiZjM4NTZhZDM2NGUzNQUBAAAAR01pY3Jvc29mdC5QcmFjdGljZXMuV2ViQ2xpZW50RmFjdG9yeS5SZWZlcmVuY2VzLk1vZHVsZVRlbXBsYXRlUmVmZXJlbmNlAQAAAAVhc3NldAECAAAABgMAAADeAUM6XERva3VtZW50ZSB1bmQgRWluc3RlbGx1bmdlblxBZG1pbmlzdHJhdG9yXExva2FsZSBFaW5zdGVsbHVuZ2VuXEFud2VuZHVuZ3NkYXRlblxNaWNyb3NvZnRcVmlzdWFsU3R1ZGlvXDEwLjBcRXh0ZW5zaW9uc1xNaWNyb3NvZnRcV2ViIENsaWVudCBTb2Z0d2FyZSBGYWN0b3J5IDIwMTBcMy4wXFRlbXBsYXRlc1xQcm9qZWN0c1xNb2R1bGUuQ1NcQnVzaW5lc3NNb2R1bGUudnN0ZW1wbGF0ZQsAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</Blob>
+          <Blob>AAEAAAD/////AQAAAAAAAAAMAgAAAHdNaWNyb3NvZnQuUHJhY3RpY2VzLldlYkNsaWVudEZhY3RvcnkuR3VpZGFuY2VQYWNrYWdlLCBWZXJzaW9uPTMuMC4wLjAsIEN1bHR1cmU9bmV1dHJhbCwgUHVibGljS2V5VG9rZW49MzFiZjM4NTZhZDM2NGUzNQUBAAAAR01pY3Jvc29mdC5QcmFjdGljZXMuV2ViQ2xpZW50RmFjdG9yeS5SZWZlcmVuY2VzLk1vZHVsZVRlbXBsYXRlUmVmZXJlbmNlAQAAAAVhc3NldAECAAAABgMAAADDAUM6XFNZU1xwcm9maWxlc1xzY2h3Z2hcTG9jYWwgU2V0dGluZ3NcQXBwbGljYXRpb24gRGF0YVxNaWNyb3NvZnRcVmlzdWFsU3R1ZGlvXDEwLjBcRXh0ZW5zaW9uc1xNaWNyb3NvZnRcV2ViIENsaWVudCBTb2Z0d2FyZSBGYWN0b3J5IDIwMTBcMy4wXFRlbXBsYXRlc1xQcm9qZWN0c1xNb2R1bGUuQ1NcQnVzaW5lc3NNb2R1bGUudnN0ZW1wbGF0ZQsAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</Blob>
         </Reference>
         <Reference>
-          <AssetName>C:\Dokumente und Einstellungen\Administrator\Lokale Einstellungen\Anwendungsdaten\Microsoft\VisualStudio\10.0\Extensions\Microsoft\Web Client Software Factory 2010\3.0\Templates\Projects\Module.CS\FoundationalModule.vstemplate</AssetName>
+          <AssetName>C:\SYS\profiles\schwgh\Local Settings\Application Data\Microsoft\VisualStudio\10.0\Extensions\Microsoft\Web Client Software Factory 2010\3.0\Templates\Projects\Module.CS\FoundationalModule.vstemplate</AssetName>
           <AppliesTo>Any solution folder or the solution root</AppliesTo>
-          <Blob>AAEAAAD/////AQAAAAAAAAAMAgAAAHdNaWNyb3NvZnQuUHJhY3RpY2VzLldlYkNsaWVudEZhY3RvcnkuR3VpZGFuY2VQYWNrYWdlLCBWZXJzaW9uPTMuMC4wLjAsIEN1bHR1cmU9bmV1dHJhbCwgUHVibGljS2V5VG9rZW49MzFiZjM4NTZhZDM2NGUzNQUBAAAAR01pY3Jvc29mdC5QcmFjdGljZXMuV2ViQ2xpZW50RmFjdG9yeS5SZWZlcmVuY2VzLk1vZHVsZVRlbXBsYXRlUmVmZXJlbmNlAQAAAAVhc3NldAECAAAABgMAAADiAUM6XERva3VtZW50ZSB1bmQgRWluc3RlbGx1bmdlblxBZG1pbmlzdHJhdG9yXExva2FsZSBFaW5zdGVsbHVuZ2VuXEFud2VuZHVuZ3NkYXRlblxNaWNyb3NvZnRcVmlzdWFsU3R1ZGlvXDEwLjBcRXh0ZW5zaW9uc1xNaWNyb3NvZnRcV2ViIENsaWVudCBTb2Z0d2FyZSBGYWN0b3J5IDIwMTBcMy4wXFRlbXBsYXRlc1xQcm9qZWN0c1xNb2R1bGUuQ1NcRm91bmRhdGlvbmFsTW9kdWxlLnZzdGVtcGxhdGULAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</Blob>
+          <Blob>AAEAAAD/////AQAAAAAAAAAMAgAAAHdNaWNyb3NvZnQuUHJhY3RpY2VzLldlYkNsaWVudEZhY3RvcnkuR3VpZGFuY2VQYWNrYWdlLCBWZXJzaW9uPTMuMC4wLjAsIEN1bHR1cmU9bmV1dHJhbCwgUHVibGljS2V5VG9rZW49MzFiZjM4NTZhZDM2NGUzNQUBAAAAR01pY3Jvc29mdC5QcmFjdGljZXMuV2ViQ2xpZW50RmFjdG9yeS5SZWZlcmVuY2VzLk1vZHVsZVRlbXBsYXRlUmVmZXJlbmNlAQAAAAVhc3NldAECAAAABgMAAADHAUM6XFNZU1xwcm9maWxlc1xzY2h3Z2hcTG9jYWwgU2V0dGluZ3NcQXBwbGljYXRpb24gRGF0YVxNaWNyb3NvZnRcVmlzdWFsU3R1ZGlvXDEwLjBcRXh0ZW5zaW9uc1xNaWNyb3NvZnRcV2ViIENsaWVudCBTb2Z0d2FyZSBGYWN0b3J5IDIwMTBcMy4wXFRlbXBsYXRlc1xQcm9qZWN0c1xNb2R1bGUuQ1NcRm91bmRhdGlvbmFsTW9kdWxlLnZzdGVtcGxhdGULAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</Blob>
         </Reference>
         <Reference>
@@ -32,12 +32,12 @@
         </Reference>
         <Reference>
-          <AssetName>C:\Dokumente und Einstellungen\Administrator\Lokale Einstellungen\Anwendungsdaten\Microsoft\VisualStudio\10.0\Extensions\Microsoft\Web Client Software Factory 2010\3.0\Templates\Projects\Module.VB\BusinessModule.vstemplate</AssetName>
+          <AssetName>C:\SYS\profiles\schwgh\Local Settings\Application Data\Microsoft\VisualStudio\10.0\Extensions\Microsoft\Web Client Software Factory 2010\3.0\Templates\Projects\Module.VB\BusinessModule.vstemplate</AssetName>
           <AppliesTo>Any solution folder or the solution root</AppliesTo>
-          <Blob>AAEAAAD/////AQAAAAAAAAAMAgAAAHdNaWNyb3NvZnQuUHJhY3RpY2VzLldlYkNsaWVudEZhY3RvcnkuR3VpZGFuY2VQYWNrYWdlLCBWZXJzaW9uPTMuMC4wLjAsIEN1bHR1cmU9bmV1dHJhbCwgUHVibGljS2V5VG9rZW49MzFiZjM4NTZhZDM2NGUzNQUBAAAAR01pY3Jvc29mdC5QcmFjdGljZXMuV2ViQ2xpZW50RmFjdG9yeS5SZWZlcmVuY2VzLk1vZHVsZVRlbXBsYXRlUmVmZXJlbmNlAQAAAAVhc3NldAECAAAABgMAAADeAUM6XERva3VtZW50ZSB1bmQgRWluc3RlbGx1bmdlblxBZG1pbmlzdHJhdG9yXExva2FsZSBFaW5zdGVsbHVuZ2VuXEFud2VuZHVuZ3NkYXRlblxNaWNyb3NvZnRcVmlzdWFsU3R1ZGlvXDEwLjBcRXh0ZW5zaW9uc1xNaWNyb3NvZnRcV2ViIENsaWVudCBTb2Z0d2FyZSBGYWN0b3J5IDIwMTBcMy4wXFRlbXBsYXRlc1xQcm9qZWN0c1xNb2R1bGUuVkJcQnVzaW5lc3NNb2R1bGUudnN0ZW1wbGF0ZQsAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</Blob>
+          <Blob>AAEAAAD/////AQAAAAAAAAAMAgAAAHdNaWNyb3NvZnQuUHJhY3RpY2VzLldlYkNsaWVudEZhY3RvcnkuR3VpZGFuY2VQYWNrYWdlLCBWZXJzaW9uPTMuMC4wLjAsIEN1bHR1cmU9bmV1dHJhbCwgUHVibGljS2V5VG9rZW49MzFiZjM4NTZhZDM2NGUzNQUBAAAAR01pY3Jvc29mdC5QcmFjdGljZXMuV2ViQ2xpZW50RmFjdG9yeS5SZWZlcmVuY2VzLk1vZHVsZVRlbXBsYXRlUmVmZXJlbmNlAQAAAAVhc3NldAECAAAABgMAAADDAUM6XFNZU1xwcm9maWxlc1xzY2h3Z2hcTG9jYWwgU2V0dGluZ3NcQXBwbGljYXRpb24gRGF0YVxNaWNyb3NvZnRcVmlzdWFsU3R1ZGlvXDEwLjBcRXh0ZW5zaW9uc1xNaWNyb3NvZnRcV2ViIENsaWVudCBTb2Z0d2FyZSBGYWN0b3J5IDIwMTBcMy4wXFRlbXBsYXRlc1xQcm9qZWN0c1xNb2R1bGUuVkJcQnVzaW5lc3NNb2R1bGUudnN0ZW1wbGF0ZQsAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</Blob>
         </Reference>
         <Reference>
-          <AssetName>C:\Dokumente und Einstellungen\Administrator\Lokale Einstellungen\Anwendungsdaten\Microsoft\VisualStudio\10.0\Extensions\Microsoft\Web Client Software Factory 2010\3.0\Templates\Projects\Module.VB\FoundationalModule.vstemplate</AssetName>
+          <AssetName>C:\SYS\profiles\schwgh\Local Settings\Application Data\Microsoft\VisualStudio\10.0\Extensions\Microsoft\Web Client Software Factory 2010\3.0\Templates\Projects\Module.VB\FoundationalModule.vstemplate</AssetName>
           <AppliesTo>Any solution folder or the solution root</AppliesTo>
-          <Blob>AAEAAAD/////AQAAAAAAAAAMAgAAAHdNaWNyb3NvZnQuUHJhY3RpY2VzLldlYkNsaWVudEZhY3RvcnkuR3VpZGFuY2VQYWNrYWdlLCBWZXJzaW9uPTMuMC4wLjAsIEN1bHR1cmU9bmV1dHJhbCwgUHVibGljS2V5VG9rZW49MzFiZjM4NTZhZDM2NGUzNQUBAAAAR01pY3Jvc29mdC5QcmFjdGljZXMuV2ViQ2xpZW50RmFjdG9yeS5SZWZlcmVuY2VzLk1vZHVsZVRlbXBsYXRlUmVmZXJlbmNlAQAAAAVhc3NldAECAAAABgMAAADiAUM6XERva3VtZW50ZSB1bmQgRWluc3RlbGx1bmdlblxBZG1pbmlzdHJhdG9yXExva2FsZSBFaW5zdGVsbHVuZ2VuXEFud2VuZHVuZ3NkYXRlblxNaWNyb3NvZnRcVmlzdWFsU3R1ZGlvXDEwLjBcRXh0ZW5zaW9uc1xNaWNyb3NvZnRcV2ViIENsaWVudCBTb2Z0d2FyZSBGYWN0b3J5IDIwMTBcMy4wXFRlbXBsYXRlc1xQcm9qZWN0c1xNb2R1bGUuVkJcRm91bmRhdGlvbmFsTW9kdWxlLnZzdGVtcGxhdGULAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</Blob>
+          <Blob>AAEAAAD/////AQAAAAAAAAAMAgAAAHdNaWNyb3NvZnQuUHJhY3RpY2VzLldlYkNsaWVudEZhY3RvcnkuR3VpZGFuY2VQYWNrYWdlLCBWZXJzaW9uPTMuMC4wLjAsIEN1bHR1cmU9bmV1dHJhbCwgUHVibGljS2V5VG9rZW49MzFiZjM4NTZhZDM2NGUzNQUBAAAAR01pY3Jvc29mdC5QcmFjdGljZXMuV2ViQ2xpZW50RmFjdG9yeS5SZWZlcmVuY2VzLk1vZHVsZVRlbXBsYXRlUmVmZXJlbmNlAQAAAAVhc3NldAECAAAABgMAAADHAUM6XFNZU1xwcm9maWxlc1xzY2h3Z2hcTG9jYWwgU2V0dGluZ3NcQXBwbGljYXRpb24gRGF0YVxNaWNyb3NvZnRcVmlzdWFsU3R1ZGlvXDEwLjBcRXh0ZW5zaW9uc1xNaWNyb3NvZnRcV2ViIENsaWVudCBTb2Z0d2FyZSBGYWN0b3J5IDIwMTBcMy4wXFRlbXBsYXRlc1xQcm9qZWN0c1xNb2R1bGUuVkJcRm91bmRhdGlvbmFsTW9kdWxlLnZzdGVtcGxhdGULAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</Blob>
         </Reference>
         <Reference>
Index: /branches/WebApplication/WebSites/HeuristicLabWeb/LoginForm.aspx.cs
===================================================================
--- /branches/WebApplication/WebSites/HeuristicLabWeb/LoginForm.aspx.cs	(revision 4584)
+++ /branches/WebApplication/WebSites/HeuristicLabWeb/LoginForm.aspx.cs	(revision 4585)
@@ -9,4 +9,5 @@
 public partial class LoginForm : System.Web.UI.Page
 {
+   
     protected void Page_Load(object sender, EventArgs e)
     {
@@ -14,5 +15,6 @@
     protected void Login1_Authenticate(object sender, AuthenticateEventArgs e)
     {
-        FormsAuthentication.RedirectFromLoginPage(Login1.UserName, false);
+        if( Membership.ValidateUser(Login1.UserName, Login1.Password ) )
+            FormsAuthentication.RedirectFromLoginPage(Login1.UserName, false);
     }
 }
Index: /branches/WebApplication/WebSites/HeuristicLabWeb/Web.config
===================================================================
--- /branches/WebApplication/WebSites/HeuristicLabWeb/Web.config	(revision 4584)
+++ /branches/WebApplication/WebSites/HeuristicLabWeb/Web.config	(revision 4585)
@@ -33,5 +33,12 @@
     </location>
 	<appSettings/>
-	<connectionStrings/>
+  
+<!--Implemented-->
+  <connectionStrings>
+    <add name="HeuristicLab.Authentication"
+         connectionString="data source=.\SQLEXPRESS;Integrated Security=SSPI;Initial Catalog=HeuristicLab.Authentication"/>
+  </connectionStrings>
+<!--ImplementedEND-->
+  
 	<compositeWeb>
 		<modules>
@@ -89,4 +96,5 @@
 	</exceptionHandling>
 	<system.web>
+
 		<!-- 
             Set compilation debug="true" to insert debugging 
@@ -108,4 +116,27 @@
             <forms name="LoginForm" loginUrl="LoginForm.aspx"></forms>
         </authentication>
+
+<!--Implemented-->
+        <membership defaultProvider="AspNetSqlMembershipProvider">
+            <providers>
+              <clear/>
+              <add name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="HeuristicLab.Authentication"
+                   enablePasswordRetrieval="false" enablePasswordReset="true" requiresQuestionAndAnswer="false" requiresUniqueEmail="false"
+                   maxInvalidPasswordAttempts="5" minRequiredPasswordLength="6" minRequiredNonalphanumericCharacters="0" passwordAttemptWindow="10"
+                   applicationName="HeuristicLab.Authentication" />
+            </providers>
+          </membership>
+
+          <roleManager enabled="true">
+            <providers>
+              <clear/>
+              <add name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider" connectionStringName="HeuristicLab.Authentication" applicationName="HeuristicLab.Authentication" />
+            </providers>
+          </roleManager>
+
+<!--ImplementedEND-->  
+    
+    
+    
 		<!--
             The <customErrors> section enables configuration 
@@ -174,3 +205,54 @@
 		</handlers>
 	</system.webServer>
+  
+  
+  <system.serviceModel>
+    <bindings>
+      <wsHttpBinding>
+        <binding name="DefaultWSHttpBinding">
+          <security mode="Message">
+            <message clientCredentialType="UserName" />
+          </security>
+        </binding>
+      </wsHttpBinding>
+      
+      <mexHttpBinding>
+        <binding name="DefaultMexBinding" />
+      </mexHttpBinding>
+    </bindings>
+    
+    <services>
+      <service behaviorConfiguration="DefaultBehavior" name="HeuristicLab.Services.DemoService.Service">
+        <clear />
+        <endpoint binding="wsHttpBinding" bindingConfiguration="DefaultWSHttpBinding"
+          contract="HeuristicLab.Services.DemoService.IService" listenUriMode="Explicit">
+        </endpoint>
+        
+        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration="DefaultMexBinding"
+          contract="IMetadataExchange" listenUriMode="Explicit">
+        </endpoint>
+      </service>
+    </services>
+    
+    <behaviors>
+      <serviceBehaviors>
+        <behavior name="DefaultBehavior">
+          <serviceMetadata httpGetEnabled="true" />
+          <serviceDebug includeExceptionDetailInFaults="true" />
+          <serviceAuthorization principalPermissionMode="UseAspNetRoles"
+            roleProviderName="AspNetSqlRoleProvider" />
+          <serviceCredentials>
+            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
+            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
+              membershipProviderName="AspNetSqlMembershipProvider" />
+          </serviceCredentials>
+        </behavior>
+      </serviceBehaviors>
+    </behaviors>
+    <serviceHostingEnvironment multipleSiteBindingsEnabled="true" />
+  </system.serviceModel>
+
+  <system.webServer>
+    <modules runAllManagedModulesForAllRequests="true"/>
+  </system.webServer>
 </configuration>