Index: anches/WebApplication/HeuristicLab.WebApplication.gpState
===================================================================
--- /branches/WebApplication/HeuristicLab.WebApplication.gpState	(revision 4585)
+++ 	(revision )
@@ -1,61 +1,0 @@
-﻿<?xml version="1.0" encoding="utf-8"?>
-<GuidancePackagesState xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://schemas.microsoft.com/pag/gax-gpstate">
-  <Packages>
-    <Package Name="WebClientGuidancePackage2010" Version="2.0" BindingRecipeRun="true">
-      <Blob>AAEAAAD/////AQAAAAAAAAAMAgAAAHNNaWNyb3NvZnQuUHJhY3RpY2VzLlJlY2lwZUZyYW1ld29yay5WaXN1YWxTdHVkaW8sIFZlcnNpb249Mi4wLjAuMCwgQ3VsdHVyZT1uZXV0cmFsLCBQdWJsaWNLZXlUb2tlbj0zMWJmMzg1NmFkMzY0ZTM1BQEAAABYTWljcm9zb2Z0LlByYWN0aWNlcy5SZWNpcGVGcmFtZXdvcmsuVmlzdWFsU3R1ZGlvLlNvbHV0aW9uUGFja2FnZXNDb250YWluZXIrUGFja2FnZUhlYWRlcgMAAAAETmFtZQdWZXJzaW9uEEJpbmRpbmdSZWNpcGVSdW4BAQABAgAAAAYDAAAAHFdlYkNsaWVudEd1aWRhbmNlUGFja2FnZTIwMTAGBAAAAAMyLjABCwAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</Blob>
-      <States />
-      <References>
-        <Reference>
-          <AssetName>C:\SYS\profiles\schwgh\Local Settings\Application Data\Microsoft\VisualStudio\10.0\Extensions\Microsoft\Web Client Software Factory 2010\3.0\Templates\Projects\Module.CS\BusinessModule.vstemplate</AssetName>
-          <AppliesTo>Any solution folder or the solution root</AppliesTo>
-          <Blob>AAEAAAD/////AQAAAAAAAAAMAgAAAHdNaWNyb3NvZnQuUHJhY3RpY2VzLldlYkNsaWVudEZhY3RvcnkuR3VpZGFuY2VQYWNrYWdlLCBWZXJzaW9uPTMuMC4wLjAsIEN1bHR1cmU9bmV1dHJhbCwgUHVibGljS2V5VG9rZW49MzFiZjM4NTZhZDM2NGUzNQUBAAAAR01pY3Jvc29mdC5QcmFjdGljZXMuV2ViQ2xpZW50RmFjdG9yeS5SZWZlcmVuY2VzLk1vZHVsZVRlbXBsYXRlUmVmZXJlbmNlAQAAAAVhc3NldAECAAAABgMAAADDAUM6XFNZU1xwcm9maWxlc1xzY2h3Z2hcTG9jYWwgU2V0dGluZ3NcQXBwbGljYXRpb24gRGF0YVxNaWNyb3NvZnRcVmlzdWFsU3R1ZGlvXDEwLjBcRXh0ZW5zaW9uc1xNaWNyb3NvZnRcV2ViIENsaWVudCBTb2Z0d2FyZSBGYWN0b3J5IDIwMTBcMy4wXFRlbXBsYXRlc1xQcm9qZWN0c1xNb2R1bGUuQ1NcQnVzaW5lc3NNb2R1bGUudnN0ZW1wbGF0ZQsAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</Blob>
-        </Reference>
-        <Reference>
-          <AssetName>C:\SYS\profiles\schwgh\Local Settings\Application Data\Microsoft\VisualStudio\10.0\Extensions\Microsoft\Web Client Software Factory 2010\3.0\Templates\Projects\Module.CS\FoundationalModule.vstemplate</AssetName>
-          <AppliesTo>Any solution folder or the solution root</AppliesTo>
-          <Blob>AAEAAAD/////AQAAAAAAAAAMAgAAAHdNaWNyb3NvZnQuUHJhY3RpY2VzLldlYkNsaWVudEZhY3RvcnkuR3VpZGFuY2VQYWNrYWdlLCBWZXJzaW9uPTMuMC4wLjAsIEN1bHR1cmU9bmV1dHJhbCwgUHVibGljS2V5VG9rZW49MzFiZjM4NTZhZDM2NGUzNQUBAAAAR01pY3Jvc29mdC5QcmFjdGljZXMuV2ViQ2xpZW50RmFjdG9yeS5SZWZlcmVuY2VzLk1vZHVsZVRlbXBsYXRlUmVmZXJlbmNlAQAAAAVhc3NldAECAAAABgMAAADHAUM6XFNZU1xwcm9maWxlc1xzY2h3Z2hcTG9jYWwgU2V0dGluZ3NcQXBwbGljYXRpb24gRGF0YVxNaWNyb3NvZnRcVmlzdWFsU3R1ZGlvXDEwLjBcRXh0ZW5zaW9uc1xNaWNyb3NvZnRcV2ViIENsaWVudCBTb2Z0d2FyZSBGYWN0b3J5IDIwMTBcMy4wXFRlbXBsYXRlc1xQcm9qZWN0c1xNb2R1bGUuQ1NcRm91bmRhdGlvbmFsTW9kdWxlLnZzdGVtcGxhdGULAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</Blob>
-        </Reference>
-        <Reference>
-          <AssetName>CreateViewCS</AssetName>
-          <AppliesTo>Web site folder</AppliesTo>
-          <Blob>AAEAAAD/////AQAAAAAAAAAMAgAAAHdNaWNyb3NvZnQuUHJhY3RpY2VzLldlYkNsaWVudEZhY3RvcnkuR3VpZGFuY2VQYWNrYWdlLCBWZXJzaW9uPTMuMC4wLjAsIEN1bHR1cmU9bmV1dHJhbCwgUHVibGljS2V5VG9rZW49MzFiZjM4NTZhZDM2NGUzNQUBAAAAVk1pY3Jvc29mdC5QcmFjdGljZXMuV2ViQ2xpZW50RmFjdG9yeS5SZWZlcmVuY2VzLldjc2ZXZWJQcm9qZWN0SXRlbU9yUHJvamVjdFJlZmVyZW5jZUNTAgAAAAVhc3NldBRJc0VuYWJsZWRGb3JQcm9wZXJ0eQEBAgAAAAYDAAAADENyZWF0ZVZpZXdDUwYEAAAADElzV2ViUHJvamVjdAsAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</Blob>
-        </Reference>
-        <Reference>
-          <AssetName>CreateUserControlViewCS</AssetName>
-          <AppliesTo>Web site folder</AppliesTo>
-          <Blob>AAEAAAD/////AQAAAAAAAAAMAgAAAHdNaWNyb3NvZnQuUHJhY3RpY2VzLldlYkNsaWVudEZhY3RvcnkuR3VpZGFuY2VQYWNrYWdlLCBWZXJzaW9uPTMuMC4wLjAsIEN1bHR1cmU9bmV1dHJhbCwgUHVibGljS2V5VG9rZW49MzFiZjM4NTZhZDM2NGUzNQUBAAAAVk1pY3Jvc29mdC5QcmFjdGljZXMuV2ViQ2xpZW50RmFjdG9yeS5SZWZlcmVuY2VzLldjc2ZXZWJQcm9qZWN0SXRlbU9yUHJvamVjdFJlZmVyZW5jZUNTAgAAAAVhc3NldBRJc0VuYWJsZWRGb3JQcm9wZXJ0eQEBAgAAAAYDAAAAF0NyZWF0ZVVzZXJDb250cm9sVmlld0NTBgQAAAAMSXNXZWJQcm9qZWN0CwAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</Blob>
-        </Reference>
-        <Reference>
-          <AssetName>CreateMasterViewCS</AssetName>
-          <AppliesTo>Web site folder</AppliesTo>
-          <Blob>AAEAAAD/////AQAAAAAAAAAMAgAAAHdNaWNyb3NvZnQuUHJhY3RpY2VzLldlYkNsaWVudEZhY3RvcnkuR3VpZGFuY2VQYWNrYWdlLCBWZXJzaW9uPTMuMC4wLjAsIEN1bHR1cmU9bmV1dHJhbCwgUHVibGljS2V5VG9rZW49MzFiZjM4NTZhZDM2NGUzNQUBAAAAVk1pY3Jvc29mdC5QcmFjdGljZXMuV2ViQ2xpZW50RmFjdG9yeS5SZWZlcmVuY2VzLldjc2ZXZWJQcm9qZWN0SXRlbU9yUHJvamVjdFJlZmVyZW5jZUNTAgAAAAVhc3NldBRJc0VuYWJsZWRGb3JQcm9wZXJ0eQEBAgAAAAYDAAAAEkNyZWF0ZU1hc3RlclZpZXdDUwYEAAAADElzV2ViUHJvamVjdAsAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</Blob>
-        </Reference>
-        <Reference>
-          <AssetName>C:\SYS\profiles\schwgh\Local Settings\Application Data\Microsoft\VisualStudio\10.0\Extensions\Microsoft\Web Client Software Factory 2010\3.0\Templates\Projects\Module.VB\BusinessModule.vstemplate</AssetName>
-          <AppliesTo>Any solution folder or the solution root</AppliesTo>
-          <Blob>AAEAAAD/////AQAAAAAAAAAMAgAAAHdNaWNyb3NvZnQuUHJhY3RpY2VzLldlYkNsaWVudEZhY3RvcnkuR3VpZGFuY2VQYWNrYWdlLCBWZXJzaW9uPTMuMC4wLjAsIEN1bHR1cmU9bmV1dHJhbCwgUHVibGljS2V5VG9rZW49MzFiZjM4NTZhZDM2NGUzNQUBAAAAR01pY3Jvc29mdC5QcmFjdGljZXMuV2ViQ2xpZW50RmFjdG9yeS5SZWZlcmVuY2VzLk1vZHVsZVRlbXBsYXRlUmVmZXJlbmNlAQAAAAVhc3NldAECAAAABgMAAADDAUM6XFNZU1xwcm9maWxlc1xzY2h3Z2hcTG9jYWwgU2V0dGluZ3NcQXBwbGljYXRpb24gRGF0YVxNaWNyb3NvZnRcVmlzdWFsU3R1ZGlvXDEwLjBcRXh0ZW5zaW9uc1xNaWNyb3NvZnRcV2ViIENsaWVudCBTb2Z0d2FyZSBGYWN0b3J5IDIwMTBcMy4wXFRlbXBsYXRlc1xQcm9qZWN0c1xNb2R1bGUuVkJcQnVzaW5lc3NNb2R1bGUudnN0ZW1wbGF0ZQsAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</Blob>
-        </Reference>
-        <Reference>
-          <AssetName>C:\SYS\profiles\schwgh\Local Settings\Application Data\Microsoft\VisualStudio\10.0\Extensions\Microsoft\Web Client Software Factory 2010\3.0\Templates\Projects\Module.VB\FoundationalModule.vstemplate</AssetName>
-          <AppliesTo>Any solution folder or the solution root</AppliesTo>
-          <Blob>AAEAAAD/////AQAAAAAAAAAMAgAAAHdNaWNyb3NvZnQuUHJhY3RpY2VzLldlYkNsaWVudEZhY3RvcnkuR3VpZGFuY2VQYWNrYWdlLCBWZXJzaW9uPTMuMC4wLjAsIEN1bHR1cmU9bmV1dHJhbCwgUHVibGljS2V5VG9rZW49MzFiZjM4NTZhZDM2NGUzNQUBAAAAR01pY3Jvc29mdC5QcmFjdGljZXMuV2ViQ2xpZW50RmFjdG9yeS5SZWZlcmVuY2VzLk1vZHVsZVRlbXBsYXRlUmVmZXJlbmNlAQAAAAVhc3NldAECAAAABgMAAADHAUM6XFNZU1xwcm9maWxlc1xzY2h3Z2hcTG9jYWwgU2V0dGluZ3NcQXBwbGljYXRpb24gRGF0YVxNaWNyb3NvZnRcVmlzdWFsU3R1ZGlvXDEwLjBcRXh0ZW5zaW9uc1xNaWNyb3NvZnRcV2ViIENsaWVudCBTb2Z0d2FyZSBGYWN0b3J5IDIwMTBcMy4wXFRlbXBsYXRlc1xQcm9qZWN0c1xNb2R1bGUuVkJcRm91bmRhdGlvbmFsTW9kdWxlLnZzdGVtcGxhdGULAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</Blob>
-        </Reference>
-        <Reference>
-          <AssetName>CreateViewVB</AssetName>
-          <AppliesTo>Web site folder</AppliesTo>
-          <Blob>AAEAAAD/////AQAAAAAAAAAMAgAAAHdNaWNyb3NvZnQuUHJhY3RpY2VzLldlYkNsaWVudEZhY3RvcnkuR3VpZGFuY2VQYWNrYWdlLCBWZXJzaW9uPTMuMC4wLjAsIEN1bHR1cmU9bmV1dHJhbCwgUHVibGljS2V5VG9rZW49MzFiZjM4NTZhZDM2NGUzNQUBAAAAVk1pY3Jvc29mdC5QcmFjdGljZXMuV2ViQ2xpZW50RmFjdG9yeS5SZWZlcmVuY2VzLldjc2ZXZWJQcm9qZWN0SXRlbU9yUHJvamVjdFJlZmVyZW5jZVZCAgAAAAVhc3NldBRJc0VuYWJsZWRGb3JQcm9wZXJ0eQEBAgAAAAYDAAAADENyZWF0ZVZpZXdWQgYEAAAADElzV2ViUHJvamVjdAsAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</Blob>
-        </Reference>
-        <Reference>
-          <AssetName>CreateUserControlViewVB</AssetName>
-          <AppliesTo>Web site folder</AppliesTo>
-          <Blob>AAEAAAD/////AQAAAAAAAAAMAgAAAHdNaWNyb3NvZnQuUHJhY3RpY2VzLldlYkNsaWVudEZhY3RvcnkuR3VpZGFuY2VQYWNrYWdlLCBWZXJzaW9uPTMuMC4wLjAsIEN1bHR1cmU9bmV1dHJhbCwgUHVibGljS2V5VG9rZW49MzFiZjM4NTZhZDM2NGUzNQUBAAAAVk1pY3Jvc29mdC5QcmFjdGljZXMuV2ViQ2xpZW50RmFjdG9yeS5SZWZlcmVuY2VzLldjc2ZXZWJQcm9qZWN0SXRlbU9yUHJvamVjdFJlZmVyZW5jZVZCAgAAAAVhc3NldBRJc0VuYWJsZWRGb3JQcm9wZXJ0eQEBAgAAAAYDAAAAF0NyZWF0ZVVzZXJDb250cm9sVmlld1ZCBgQAAAAMSXNXZWJQcm9qZWN0CwAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</Blob>
-        </Reference>
-        <Reference>
-          <AssetName>CreateMasterViewVB</AssetName>
-          <AppliesTo>Web site folder</AppliesTo>
-          <Blob>AAEAAAD/////AQAAAAAAAAAMAgAAAHdNaWNyb3NvZnQuUHJhY3RpY2VzLldlYkNsaWVudEZhY3RvcnkuR3VpZGFuY2VQYWNrYWdlLCBWZXJzaW9uPTMuMC4wLjAsIEN1bHR1cmU9bmV1dHJhbCwgUHVibGljS2V5VG9rZW49MzFiZjM4NTZhZDM2NGUzNQUBAAAAVk1pY3Jvc29mdC5QcmFjdGljZXMuV2ViQ2xpZW50RmFjdG9yeS5SZWZlcmVuY2VzLldjc2ZXZWJQcm9qZWN0SXRlbU9yUHJvamVjdFJlZmVyZW5jZVZCAgAAAAVhc3NldBRJc0VuYWJsZWRGb3JQcm9wZXJ0eQEBAgAAAAYDAAAAEkNyZWF0ZU1hc3RlclZpZXdWQgYEAAAADElzV2ViUHJvamVjdAsAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</Blob>
-        </Reference>
-      </References>
-    </Package>
-  </Packages>
-</GuidancePackagesState>