Index: branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Membership.cs
===================================================================
--- branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Membership.cs	(revision 4589)
+++ branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Membership.cs	(revision 4590)
@@ -1,6 +1,3 @@
 ﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using System.Runtime.Serialization;
 
@@ -13,25 +10,25 @@
         public Guid ApplicationId { get; set; }
         [DataMember]
-        public Guid UserID { get; set; }
+        public Guid UserId { get; set; }
         [DataMember]
         public string Password { get; set; }
-        [DataMember]
-        public string PasswordFormat { get; set; }
-        [DataMember]
-        public string PasswordSalt { get; set; }
-        [DataMember]
-        public string MobilePIN { get; set; }
+        // [DataMember]
+        //  public string PasswordFormat { get; set; }
+        //  [DataMember]
+        //  public string PasswordSalt { get; set; }
+        // [DataMember]
+        // public string MobilePIN { get; set; }
         [DataMember]
         public string Email { get; set; }
         [DataMember]
         public string LoweredEmail { get; set; }
-        [DataMember]
-        public string PasswordQuestion { get; set; }
-        [DataMember]
-        public string PasswordAnswer { get; set; }
+        //  [DataMember]
+        //  public string PasswordQuestion { get; set; }
+        //  [DataMember]
+        //  public string PasswordAnswer { get; set; }
         [DataMember]
         public bool IsApproved { get; set; }
         [DataMember]
-        public bool IsLookedOut { get; set; }
+        public bool IsLockedOut { get; set; }
         [DataMember]
         public DateTime CreateDate { get; set; }
@@ -42,12 +39,12 @@
         [DataMember]
         public DateTime LastLockoutDate { get; set; }
-        [DataMember]
-        public int FailedPasswordAttemptCount { get; set; }
-        [DataMember]
-        public DateTime FailedPasswordAttemptWindowStart { get; set; }
-        [DataMember]
-        public int FailedPasswordAnswerAttemptCount { get; set; }
-        [DataMember]
-        public DateTime FailedPasswordAnswerAttemptWindowStart { get; set; }
+        // [DataMember]
+        // public int FailedPasswordAttemptCount { get; set; }
+        //  [DataMember]
+        // public DateTime FailedPasswordAttemptWindowStart { get; set; }
+        //  [DataMember]
+        //  public int FailedPasswordAnswerAttemptCount { get; set; }
+        //  [DataMember]
+        //  public DateTime FailedPasswordAnswerAttemptWindowStart { get; set; }
         [DataMember]
         public string Comment { get; set; }
Index: branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Role.cs
===================================================================
--- branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Role.cs	(revision 4589)
+++ branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/Role.cs	(revision 4590)
@@ -11,7 +11,13 @@
     {
         [DataMember]
-        public Guid Id { get; set; }
+        public Guid ApplicationId { get; set; }
         [DataMember]
-        public string Name { get; set; }
+        public Guid RoleId { get; set; }
+        [DataMember]
+        public string RoleName { get; set; }
+        [DataMember]
+        public string LoweredRoleName { get; set; }
+        [DataMember]
+        public string Description { get; set; }
     }
 }
Index: branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/User.cs
===================================================================
--- branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/User.cs	(revision 4589)
+++ branches/UserManagement/HeuristicLab.Services.Authentication.DataTransfer/User.cs	(revision 4590)
@@ -10,10 +10,17 @@
     public class User
     {
+        
+        [DataMember]
+        public Guid ApplicationId { get; set; }
         [DataMember]
         public Guid UserId { get; set; }
         [DataMember]
-        public Guid ApplicationId { get; set; }
+        public string UserName { get; set; }
         [DataMember]
-        public string UserName { get; set; }
+        public string LoweredUserName { get; set; }
+        [DataMember]
+        public string MobileAlias { get; set; }
+        [DataMember]
+        public bool IsAnonymous { get; set; }
         [DataMember]
         public DateTime LastActivityDate { get; set; }