Index: branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/obj/Debug/FzySqrPluginHost.csproj.FileListAbsolute.txt
===================================================================
--- branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/obj/Debug/FzySqrPluginHost.csproj.FileListAbsolute.txt	(revision 4611)
+++ 	(revision )
@@ -1,5 +1,0 @@
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\bin\FzySqrPluginHost.dll
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\bin\FzySqrPluginHost.pdb
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\obj\Debug\ResolveAssemblyReference.cache
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\obj\Debug\FzySqrPluginHost.dll
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\obj\Debug\FzySqrPluginHost.pdb
Index: branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/obj/Debug/HLWebPluginHost.csproj.FileListAbsolute.txt
===================================================================
--- branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/obj/Debug/HLWebPluginHost.csproj.FileListAbsolute.txt	(revision 4611)
+++ 	(revision )
@@ -1,15 +1,0 @@
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\bin\FzySqrPluginHost.dll
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\bin\FzySqrPluginHost.pdb
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\obj\Debug\ResolveAssemblyReference.cache
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\obj\Debug\FzySqrPluginHost.dll
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\obj\Debug\FzySqrPluginHost.pdb
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\HeuristicLabWeb.PluginHost\HLWebPluginHost\bin\HLWebPluginHost.dll
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\HeuristicLabWeb.PluginHost\HLWebPluginHost\bin\HLWebPluginHost.pdb
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\HeuristicLabWeb.PluginHost\HLWebPluginHost\obj\Debug\ResolveAssemblyReference.cache
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\HeuristicLabWeb.PluginHost\HLWebPluginHost\obj\Debug\HLWebPluginHost.dll
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\HeuristicLabWeb.PluginHost\HLWebPluginHost\obj\Debug\HLWebPluginHost.pdb
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\SPR5P\WebApplication\MVC2\HeuristicLabWeb.PluginHost\HLWebPluginHost\bin\HLWebPluginHost.dll
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\SPR5P\WebApplication\MVC2\HeuristicLabWeb.PluginHost\HLWebPluginHost\bin\HLWebPluginHost.pdb
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\SPR5P\WebApplication\MVC2\HeuristicLabWeb.PluginHost\HLWebPluginHost\obj\Debug\ResolveAssemblyReference.cache
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\SPR5P\WebApplication\MVC2\HeuristicLabWeb.PluginHost\HLWebPluginHost\obj\Debug\HLWebPluginHost.dll
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\SPR5P\WebApplication\MVC2\HeuristicLabWeb.PluginHost\HLWebPluginHost\obj\Debug\HLWebPluginHost.pdb
Index: branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/obj/Debug/HeuristicLabWeb.PluginHost.csproj.FileListAbsolute.txt
===================================================================
--- branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/obj/Debug/HeuristicLabWeb.PluginHost.csproj.FileListAbsolute.txt	(revision 4611)
+++ 	(revision )
@@ -1,5 +1,0 @@
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\bin\FzySqrPluginHost.dll
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\bin\FzySqrPluginHost.pdb
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\obj\Debug\ResolveAssemblyReference.cache
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\obj\Debug\FzySqrPluginHost.dll
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\obj\Debug\FzySqrPluginHost.pdb
Index: branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/obj/Debug/HeuristicLabWebPluginHost.csproj.FileListAbsolute.txt
===================================================================
--- branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/obj/Debug/HeuristicLabWebPluginHost.csproj.FileListAbsolute.txt	(revision 4611)
+++ 	(revision )
@@ -1,5 +1,0 @@
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\bin\FzySqrPluginHost.dll
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\bin\FzySqrPluginHost.pdb
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\obj\Debug\ResolveAssemblyReference.cache
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\obj\Debug\FzySqrPluginHost.dll
-C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Visual Studio 2010\Projects\FzySqrPluginHost\FzySqrPluginHost\obj\Debug\FzySqrPluginHost.pdb