Index: /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.3/VehicleRoutingProblem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.3/VehicleRoutingProblem.cs	(revision 4619)
+++ /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.3/VehicleRoutingProblem.cs	(revision 4620)
@@ -284,5 +284,4 @@
 
       BestKnownSolution = null;
-      BestKnownQuality = null;
     }
     private void Coordinates_ItemChanged(object sender, EventArgs<int, int> e) {
@@ -290,5 +289,4 @@
 
       BestKnownSolution = null;
-      BestKnownQuality = null;
     }
     private void Coordinates_Reset(object sender, EventArgs e) {
@@ -297,5 +295,4 @@
 
       BestKnownSolution = null;
-      BestKnownQuality = null;
     }
     private void SolutionCreatorParameter_ValueChanged(object sender, EventArgs e) {
@@ -384,24 +381,18 @@
       Capacity.ValueChanged += new EventHandler(Capacity_ValueChanged);
       BestKnownSolution = null;
-      BestKnownQuality = null;
     }
     void Capacity_ValueChanged(object sender, EventArgs e) {
       BestKnownSolution = null;
-      BestKnownQuality = null;
     }
     void DemandParameter_ValueChanged(object sender, EventArgs e) {
       Demand.ItemChanged += new EventHandler<EventArgs<int>>(Demand_ItemChanged);
       Demand.Reset += new EventHandler(Demand_Reset);
-
-      BestKnownSolution = null;
-      BestKnownQuality = null;
+      BestKnownSolution = null;
     }
     void Demand_Reset(object sender, EventArgs e) {
       BestKnownSolution = null;
-      BestKnownQuality = null;
     }
     void Demand_ItemChanged(object sender, EventArgs<int> e) {
       BestKnownSolution = null;
-      BestKnownQuality = null;
     }
     void DueTimeParameter_ValueChanged(object sender, EventArgs e) {
@@ -409,13 +400,10 @@
       DueTime.Reset += new EventHandler(DueTime_Reset);
       BestKnownSolution = null;
-      BestKnownQuality = null;
     }
     void DueTime_Reset(object sender, EventArgs e) {
       BestKnownSolution = null;
-      BestKnownQuality = null;
     }
     void DueTime_ItemChanged(object sender, EventArgs<int> e) {
       BestKnownSolution = null;
-      BestKnownQuality = null;
     }
     void ReadyTimeParameter_ValueChanged(object sender, EventArgs e) {
@@ -423,13 +411,10 @@
       ReadyTime.Reset += new EventHandler(ReadyTime_Reset);
       BestKnownSolution = null;
-      BestKnownQuality = null;
     }
     void ReadyTime_Reset(object sender, EventArgs e) {
       BestKnownSolution = null;
-      BestKnownQuality = null;
     }
     void ReadyTime_ItemChanged(object sender, EventArgs<int> e) {
       BestKnownSolution = null;
-      BestKnownQuality = null;
     }
     void ServiceTimeParameter_ValueChanged(object sender, EventArgs e) {
@@ -437,22 +422,20 @@
       ServiceTime.Reset += new EventHandler(ServiceTime_Reset);
       BestKnownSolution = null;
-      BestKnownQuality = null;
     }
     void ServiceTime_Reset(object sender, EventArgs e) {
       BestKnownSolution = null;
-      BestKnownQuality = null;
     }
     void ServiceTime_ItemChanged(object sender, EventArgs<int> e) {
       BestKnownSolution = null;
-      BestKnownQuality = null;
     }
     void VehiclesParameter_ValueChanged(object sender, EventArgs e) {
       Vehicles.ValueChanged += new EventHandler(Vehicles_ValueChanged);
       BestKnownSolution = null;
-      BestKnownQuality = null;
     }
     void Vehicles_ValueChanged(object sender, EventArgs e) {
       BestKnownSolution = null;
-      BestKnownQuality = null;
+    }
+    void BestKnownSolutionParameter_ValueChanged(object sender, EventArgs e) {
+      EvalBestKnownSolution();
     }
     #endregion
@@ -507,4 +490,6 @@
       VehiclesParameter.ValueChanged += new EventHandler(VehiclesParameter_ValueChanged);
       Vehicles.ValueChanged += new EventHandler(Vehicles_ValueChanged);
+
+      BestKnownSolutionParameter.ValueChanged += new EventHandler(BestKnownSolutionParameter_ValueChanged);
     }
 
@@ -734,5 +719,4 @@
 
       BestKnownSolutionParameter.Value = encoding;
-      EvalBestKnownSolution();
     }
 