Index: /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.Designer.cs	(revision 4627)
+++ /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.Designer.cs	(revision 4628)
@@ -27,5 +27,5 @@
       this.contextMenuStrip = new System.Windows.Forms.ContextMenuStrip(this.components);
       this.saveImageToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-      this.copyImageToClipboardToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.copyImageToClipboardBitmapToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
       this.contextMenuStrip.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this)).BeginInit();
@@ -36,21 +36,25 @@
       this.contextMenuStrip.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
             this.saveImageToolStripMenuItem,
-            this.copyImageToClipboardToolStripMenuItem});
+            this.copyImageToClipboardBitmapToolStripMenuItem});
       this.contextMenuStrip.Name = "contextMenuStrip";
-      this.contextMenuStrip.Size = new System.Drawing.Size(208, 48);
+      this.contextMenuStrip.Size = new System.Drawing.Size(257, 70);
       // 
       // saveImageToolStripMenuItem
       // 
       this.saveImageToolStripMenuItem.Name = "saveImageToolStripMenuItem";
-      this.saveImageToolStripMenuItem.Size = new System.Drawing.Size(207, 22);
+      this.saveImageToolStripMenuItem.Size = new System.Drawing.Size(256, 22);
       this.saveImageToolStripMenuItem.Text = "Save Image";
       this.saveImageToolStripMenuItem.Click += new System.EventHandler(this.saveImageToolStripMenuItem_Click);
       // 
-      // copyImageToClipboardToolStripMenuItem
+      // copyImageToClipboardBitmapToolStripMenuItem
       // 
-      this.copyImageToClipboardToolStripMenuItem.Name = "copyImageToClipboardToolStripMenuItem";
-      this.copyImageToClipboardToolStripMenuItem.Size = new System.Drawing.Size(207, 22);
-      this.copyImageToClipboardToolStripMenuItem.Text = "Copy Image to Clipboard";
-      this.copyImageToClipboardToolStripMenuItem.Click += new System.EventHandler(this.copyImageToClipboardToolStripMenuItem_Click);
+      this.copyImageToClipboardBitmapToolStripMenuItem.Name = "copyImageToClipboardBitmapToolStripMenuItem";
+      this.copyImageToClipboardBitmapToolStripMenuItem.Size = new System.Drawing.Size(256, 22);
+      this.copyImageToClipboardBitmapToolStripMenuItem.Text = "Copy Image to Clipboard (Bitmap)";
+      this.copyImageToClipboardBitmapToolStripMenuItem.Click += new System.EventHandler(this.copyImageToClipboardBitmapToolStripMenuItem_Click);
+      // 
+      // EnhancedChart
+      // 
+      this.ContextMenuStrip = this.contextMenuStrip;
       this.contextMenuStrip.ResumeLayout(false);
       ((System.ComponentModel.ISupportInitialize)(this)).EndInit();
@@ -63,5 +67,5 @@
     private System.Windows.Forms.ContextMenuStrip contextMenuStrip;
     private System.Windows.Forms.ToolStripMenuItem saveImageToolStripMenuItem;
-    private System.Windows.Forms.ToolStripMenuItem copyImageToClipboardToolStripMenuItem;
+    private System.Windows.Forms.ToolStripMenuItem copyImageToClipboardBitmapToolStripMenuItem;
   }
 }
Index: /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs
===================================================================
--- /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs	(revision 4627)
+++ /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs	(revision 4628)
@@ -26,8 +26,7 @@
 namespace HeuristicLab.Visualization.ChartControlsExtensions {
   public partial class EnhancedChart : Chart {
-
-
     public EnhancedChart()
       : base() {
+      InitializeComponent();
       EnableDoubleClickResetsZoom = true;
       EnableMiddleClickPanning = true;
@@ -42,8 +41,8 @@
     public void InitializeChartAreas() {
       ChartAreas.Clear();
-      ChartAreas.Add(GetDefaultChartArea("ChartArea"));
+      ChartAreas.Add(CreateDefaultChartArea("ChartArea"));
     }
 
-    public static ChartArea GetDefaultChartArea(string name) {
+    public static ChartArea CreateDefaultChartArea(string name) {
       ChartArea chartArea = new ChartArea(name);
       chartArea.AxisX.MajorGrid.LineColor = SystemColors.GradientInactiveCaption;
@@ -86,5 +85,4 @@
 
     private class PanningSupport {
-
       public ChartArea ChartArea { get; private set; }
 
@@ -150,5 +148,5 @@
       // the choices that appear in the "Save as file type" or 
       // "Files of type" box in the dialog box.
-      saveFileDialog.Filter = "Bitmap (*.bmp)|*.bmp|JPEG (*.jpg)|*.jpg|EMF (*.emf)|*.emf|PNG (*.png)|*.png|SVG (*.svg)|*.svg|GIF (*.gif)|*.gif|TIFF (*.tif)|*.tif";
+      saveFileDialog.Filter = "Bitmap (*.bmp)|*.bmp|JPEG (*.jpg)|*.jpg|EMF (*.emf)|*.emf|PNG (*.png)|*.png|GIF (*.gif)|*.gif|TIFF (*.tif)|*.tif";
       saveFileDialog.FilterIndex = 2;
       saveFileDialog.RestoreDirectory = true;
@@ -177,5 +175,5 @@
     }
 
-    private void copyImageToClipboardToolStripMenuItem_Click(object sender, System.EventArgs e) {
+    private void copyImageToClipboardBitmapToolStripMenuItem_Click(object sender, System.EventArgs e) {
       System.IO.MemoryStream stream = new System.IO.MemoryStream();
       SaveImage(stream, System.Drawing.Imaging.ImageFormat.Bmp);