Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/HeuristicLab.Optimization.Views-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/HeuristicLab.Optimization.Views-3.3.csproj	(revision 4634)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/HeuristicLab.Optimization.Views-3.3.csproj	(revision 4635)
@@ -289,4 +289,8 @@
       <Name>HeuristicLab.PluginInfrastructure-3.3</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Visualization.ChartControlsExtensions\3.3\HeuristicLab.Visualization.ChartControlsExtensions-3.3.csproj">
+      <Project>{315BDA09-3F4F-49B3-9790-B37CFC1C5750}</Project>
+      <Name>HeuristicLab.Visualization.ChartControlsExtensions-3.3</Name>
+    </ProjectReference>
   </ItemGroup>
   <ItemGroup>
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/HeuristicLabOptimizationViewsPlugin.cs.frame
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/HeuristicLabOptimizationViewsPlugin.cs.frame	(revision 4634)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/HeuristicLabOptimizationViewsPlugin.cs.frame	(revision 4635)
@@ -38,4 +38,5 @@
   [PluginDependency("HeuristicLab.MainForm.WindowsForms", "3.3")]
   [PluginDependency("HeuristicLab.Optimization", "3.3")]
+  [PluginDependency("HeuristicLab.Visualization.ChartControlsExtensions","3.3")]
   public class HeuristicLabOptimizationViewsPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBubbleChartView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBubbleChartView.Designer.cs	(revision 4634)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBubbleChartView.Designer.cs	(revision 4635)
@@ -58,5 +58,5 @@
       this.sizeComboBox = new System.Windows.Forms.ComboBox();
       this.sizeLabel = new System.Windows.Forms.Label();
-      this.chart = new System.Windows.Forms.DataVisualization.Charting.Chart();
+      this.chart = new HeuristicLab.Visualization.ChartControlsExtensions.EnhancedChart();
       this.zoomButton = new System.Windows.Forms.RadioButton();
       this.selectButton = new System.Windows.Forms.RadioButton();
@@ -309,5 +309,5 @@
     private System.Windows.Forms.ComboBox sizeComboBox;
     private System.Windows.Forms.Label sizeLabel;
-    private System.Windows.Forms.DataVisualization.Charting.Chart chart;
+    private HeuristicLab.Visualization.ChartControlsExtensions.EnhancedChart chart;
     private System.Windows.Forms.RadioButton zoomButton;
     private System.Windows.Forms.RadioButton selectButton;
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBubbleChartView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBubbleChartView.cs	(revision 4634)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBubbleChartView.cs	(revision 4635)
@@ -54,18 +54,20 @@
       InitializeComponent();
 
-      this.categoricalMapping = new Dictionary<int, Dictionary<object, double>>();
-      this.xJitter = new Dictionary<IRun, double>();
-      this.yJitter = new Dictionary<IRun, double>();
-      this.random = new Random();
-      this.colorDialog.Color = Color.Black;
-      this.colorButton.Image = this.GenerateImage(16, 16, this.colorDialog.Color);
-      this.isSelecting = false;
-
-      this.chart.ChartAreas[0].CursorX.IsUserSelectionEnabled = true;
-      this.chart.ChartAreas[0].CursorY.IsUserSelectionEnabled = true;
-      this.chart.ChartAreas[0].CursorX.Interval = 1;
-      this.chart.ChartAreas[0].CursorY.Interval = 1;
-      this.chart.ChartAreas[0].AxisX.ScaleView.Zoomable = !this.isSelecting;
-      this.chart.ChartAreas[0].AxisY.ScaleView.Zoomable = !this.isSelecting;
+      categoricalMapping = new Dictionary<int, Dictionary<object, double>>();
+      xJitter = new Dictionary<IRun, double>();
+      yJitter = new Dictionary<IRun, double>();
+      random = new Random();
+      colorDialog.Color = Color.Black;
+      colorButton.Image = this.GenerateImage(16, 16, this.colorDialog.Color);
+      isSelecting = false;
+
+      chart.CustomizeChartAreas();
+      chart.EnableMiddleClickPanning = false;
+      chart.ChartAreas[0].CursorX.IsUserSelectionEnabled = true;
+      chart.ChartAreas[0].CursorY.IsUserSelectionEnabled = true;
+      chart.ChartAreas[0].CursorX.Interval = 1;
+      chart.ChartAreas[0].CursorY.Interval = 1;
+      chart.ChartAreas[0].AxisX.ScaleView.Zoomable = !this.isSelecting;
+      chart.ChartAreas[0].AxisY.ScaleView.Zoomable = !this.isSelecting;
     }
 
@@ -506,4 +508,8 @@
       SetCustomAxisLabels(xAxis, xAxisComboBox.SelectedIndex - axisDimensionCount);
       SetCustomAxisLabels(yAxis, yAxisComboBox.SelectedIndex - axisDimensionCount);
+      if (xAxisComboBox.SelectedItem != null)
+        xAxis.Title = xAxisComboBox.SelectedItem.ToString();
+      if (yAxisComboBox.SelectedItem != null)
+        yAxis.Title = yAxisComboBox.SelectedItem.ToString();
     }
 
Index: /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs
===================================================================
--- /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs	(revision 4634)
+++ /trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs	(revision 4635)
@@ -31,40 +31,32 @@
       EnableDoubleClickResetsZoom = true;
       EnableMiddleClickPanning = true;
+      CustomizeChartAreas();
     }
 
     [DefaultValue(true)]
     public bool EnableDoubleClickResetsZoom { get; set; }
-
     [DefaultValue(true)]
     public bool EnableMiddleClickPanning { get; set; }
 
-    public void InitializeChartAreas() {
-      ChartAreas.Clear();
-      ChartAreas.Add(CreateDefaultChartArea("ChartArea1"));
-    }
+    public void CustomizeChartAreas() {
+      foreach (ChartArea chartArea in ChartAreas) {
+        foreach (Axis axis in chartArea.Axes) {
+          axis.MajorGrid.LineColor = SystemColors.GradientInactiveCaption;
+          axis.MajorTickMark.TickMarkStyle = TickMarkStyle.AcrossAxis;
+          axis.ScrollBar.BackColor = Color.Transparent;
+          axis.ScrollBar.LineColor = Color.Transparent;
+          axis.ScrollBar.ButtonColor = SystemColors.GradientInactiveCaption;
+          axis.ScrollBar.ButtonStyle = ScrollBarButtonStyles.SmallScroll;
+          axis.ScrollBar.Size = 12;
+          axis.TitleFont = new Font(axis.TitleFont.FontFamily, 12);
+        }
 
-    public static ChartArea CreateDefaultChartArea(string name) {
-      ChartArea chartArea = new ChartArea(name);
-      chartArea.AxisX.MajorGrid.LineColor = SystemColors.GradientInactiveCaption;
-      chartArea.AxisY.MajorGrid.LineColor = SystemColors.GradientInactiveCaption;
-      chartArea.AxisX.MajorTickMark.TickMarkStyle = TickMarkStyle.AcrossAxis;
-      chartArea.AxisY.MajorTickMark.TickMarkStyle = TickMarkStyle.AcrossAxis;
-      chartArea.AxisX.ScrollBar.BackColor = Color.Transparent;
-      chartArea.AxisY.ScrollBar.BackColor = Color.Transparent;
-      chartArea.AxisX.ScrollBar.LineColor = Color.Transparent;
-      chartArea.AxisY.ScrollBar.LineColor = Color.Transparent;
-      chartArea.AxisX.ScrollBar.ButtonColor = SystemColors.GradientInactiveCaption;
-      chartArea.AxisY.ScrollBar.ButtonColor = SystemColors.GradientInactiveCaption;
-      chartArea.AxisX.ScrollBar.ButtonStyle = ScrollBarButtonStyles.SmallScroll;
-      chartArea.AxisY.ScrollBar.ButtonStyle = ScrollBarButtonStyles.SmallScroll;
-      chartArea.AxisX.ScrollBar.Size = 12;
-      chartArea.AxisY.ScrollBar.Size = 12;
-      chartArea.CursorX.Interval = 0;
-      chartArea.CursorY.Interval = 0;
-      chartArea.CursorX.IsUserSelectionEnabled = true;
-      chartArea.CursorY.IsUserSelectionEnabled = true;
-      chartArea.CursorX.SelectionColor = SystemColors.GradientActiveCaption;
-      chartArea.CursorY.SelectionColor = SystemColors.GradientActiveCaption;
-      return chartArea;
+        chartArea.CursorX.Interval = 0;
+        chartArea.CursorY.Interval = 0;
+        chartArea.CursorX.IsUserSelectionEnabled = true;
+        chartArea.CursorY.IsUserSelectionEnabled = true;
+        chartArea.CursorX.SelectionColor = SystemColors.GradientActiveCaption;
+        chartArea.CursorY.SelectionColor = SystemColors.GradientActiveCaption;
+      }
     }
 
@@ -83,5 +75,4 @@
 
     #region panning
-
     private class PanningSupport {
       public ChartArea ChartArea { get; private set; }
@@ -107,5 +98,4 @@
         return ChartStartPosition.X - (pixelX - PixelStartPosition.X) * Pixel2ChartScale.Width;
       }
-
       public double ChartY(double pixelY) {
         return ChartStartPosition.Y + (pixelY - PixelStartPosition.Y) * Pixel2ChartScale.Height;
@@ -137,5 +127,4 @@
       base.OnMouseMove(e);
     }
-
     #endregion
 