Index: trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.Designer.cs	(revision 4635)
+++ trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.Designer.cs	(revision 4636)
@@ -49,5 +49,5 @@
       System.Windows.Forms.DataVisualization.Charting.Legend legend1 = new System.Windows.Forms.DataVisualization.Charting.Legend();
       System.Windows.Forms.DataVisualization.Charting.Series series1 = new System.Windows.Forms.DataVisualization.Charting.Series();
-      this.chart = new System.Windows.Forms.DataVisualization.Charting.Chart();
+      this.chart = new HeuristicLab.Visualization.ChartControlsExtensions.EnhancedChart();
       this.contextMenuStrip = new System.Windows.Forms.ContextMenuStrip(this.components);
       this.exportChartToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
@@ -70,7 +70,7 @@
       // chart
       // 
-      this.chart.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.chart.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.chart.BorderlineColor = System.Drawing.Color.Black;
       this.chart.BorderlineDashStyle = System.Windows.Forms.DataVisualization.Charting.ChartDashStyle.Solid;
@@ -85,4 +85,6 @@
       legend1.Name = "Legend1";
       this.chart.Legends.Add(legend1);
+      this.chart.EnableDoubleClickResetsZoom = true;
+      this.chart.EnableMiddleClickPanning = true;
       this.chart.Location = new System.Drawing.Point(0, 52);
       this.chart.Name = "chart";
@@ -139,5 +141,5 @@
     #endregion
 
-    private System.Windows.Forms.DataVisualization.Charting.Chart chart;
+    private HeuristicLab.Visualization.ChartControlsExtensions.EnhancedChart chart;
     private System.Windows.Forms.ContextMenuStrip contextMenuStrip;
     private System.Windows.Forms.ToolStripMenuItem exportChartToolStripMenuItem;
Index: trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 4635)
+++ trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 4636)
@@ -56,4 +56,6 @@
       valuesRowsTable = new Dictionary<IObservableList<double>, DataRow>();
       invisibleSeries = new List<Series>();
+      chart.CustomizeAllChartAreas();
+      chart.ChartAreas[0].CursorX.Interval = 1;
     }
 
Index: trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBubbleChartView.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBubbleChartView.cs	(revision 4635)
+++ trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBubbleChartView.cs	(revision 4636)
@@ -61,9 +61,5 @@
       colorButton.Image = this.GenerateImage(16, 16, this.colorDialog.Color);
       isSelecting = false;
-
-      chart.CustomizeChartAreas();
-      chart.EnableMiddleClickPanning = false;
-      chart.ChartAreas[0].CursorX.IsUserSelectionEnabled = true;
-      chart.ChartAreas[0].CursorY.IsUserSelectionEnabled = true;
+      chart.CustomizeAllChartAreas();
       chart.ChartAreas[0].CursorX.Interval = 1;
       chart.ChartAreas[0].CursorY.Interval = 1;
Index: trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs
===================================================================
--- trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs	(revision 4635)
+++ trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs	(revision 4636)
@@ -20,4 +20,5 @@
 #endregion
 
+using System;
 using System.ComponentModel;
 using System.Drawing;
@@ -31,5 +32,5 @@
       EnableDoubleClickResetsZoom = true;
       EnableMiddleClickPanning = true;
-      CustomizeChartAreas();
+      CustomizeAllChartAreas();
     }
 
@@ -39,23 +40,28 @@
     public bool EnableMiddleClickPanning { get; set; }
 
-    public void CustomizeChartAreas() {
+    public static void CustomizeChartArea(ChartArea chartArea) {
+      foreach (Axis axis in chartArea.Axes) {
+        axis.MajorGrid.LineColor = SystemColors.GradientInactiveCaption;
+        axis.MajorTickMark.TickMarkStyle = TickMarkStyle.AcrossAxis;
+        axis.ScrollBar.BackColor = Color.Transparent;
+        axis.ScrollBar.LineColor = Color.Transparent;
+        axis.ScrollBar.ButtonColor = SystemColors.GradientInactiveCaption;
+        axis.ScrollBar.ButtonStyle = ScrollBarButtonStyles.SmallScroll;
+        axis.ScrollBar.Size = 12;
+        axis.TitleFont = new Font(axis.TitleFont.FontFamily, 10);
+      }
+      chartArea.CursorX.Interval = 0;
+      chartArea.CursorY.Interval = 0;
+      chartArea.CursorX.IsUserSelectionEnabled = true;
+      chartArea.CursorY.IsUserSelectionEnabled = true;
+      chartArea.CursorX.IsUserEnabled = false;
+      chartArea.CursorY.IsUserEnabled = false;
+      chartArea.CursorX.SelectionColor = SystemColors.GradientActiveCaption;
+      chartArea.CursorY.SelectionColor = SystemColors.GradientActiveCaption;
+    }
+
+    public void CustomizeAllChartAreas() {
       foreach (ChartArea chartArea in ChartAreas) {
-        foreach (Axis axis in chartArea.Axes) {
-          axis.MajorGrid.LineColor = SystemColors.GradientInactiveCaption;
-          axis.MajorTickMark.TickMarkStyle = TickMarkStyle.AcrossAxis;
-          axis.ScrollBar.BackColor = Color.Transparent;
-          axis.ScrollBar.LineColor = Color.Transparent;
-          axis.ScrollBar.ButtonColor = SystemColors.GradientInactiveCaption;
-          axis.ScrollBar.ButtonStyle = ScrollBarButtonStyles.SmallScroll;
-          axis.ScrollBar.Size = 12;
-          axis.TitleFont = new Font(axis.TitleFont.FontFamily, 12);
-        }
-
-        chartArea.CursorX.Interval = 0;
-        chartArea.CursorY.Interval = 0;
-        chartArea.CursorX.IsUserSelectionEnabled = true;
-        chartArea.CursorY.IsUserSelectionEnabled = true;
-        chartArea.CursorX.SelectionColor = SystemColors.GradientActiveCaption;
-        chartArea.CursorY.SelectionColor = SystemColors.GradientActiveCaption;
+        CustomizeChartArea(chartArea);
       }
     }
@@ -122,6 +128,12 @@
     protected override void OnMouseMove(MouseEventArgs e) {
       if (panning != null) {
-        panning.ChartArea.AxisX.ScaleView.Scroll(panning.ChartX(e.Location.X));
-        panning.ChartArea.AxisY.ScaleView.Scroll(panning.ChartY(e.Location.Y));
+        double x = panning.ChartX(e.Location.X);
+        double y = panning.ChartY(e.Location.Y);
+        if (panning.ChartArea.CursorX.Interval > 0) {
+          x = Math.Round(x * panning.ChartArea.CursorX.Interval) / panning.ChartArea.CursorX.Interval;
+          y = Math.Round(y * panning.ChartArea.CursorY.Interval) / panning.ChartArea.CursorY.Interval;
+        }
+        panning.ChartArea.AxisX.ScaleView.Scroll(x);
+        panning.ChartArea.AxisY.ScaleView.Scroll(y);
       }
       base.OnMouseMove(e);