Index: trunk/sources/HeuristicLab.Analysis.Views/3.3/AlleleFrequencyArrayView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis.Views/3.3/AlleleFrequencyArrayView.Designer.cs	(revision 4636)
+++ trunk/sources/HeuristicLab.Analysis.Views/3.3/AlleleFrequencyArrayView.Designer.cs	(revision 4637)
@@ -73,4 +73,5 @@
       chartArea1.Name = "Default";
       this.chart.ChartAreas.Add(chartArea1);
+      legend1.Alignment = System.Drawing.StringAlignment.Center;
       legend1.Docking = System.Windows.Forms.DataVisualization.Charting.Docking.Top;
       legend1.Name = "Default";
@@ -81,4 +82,5 @@
       this.chart.TabIndex = 0;
       this.chart.Text = "chart";
+      title1.Font = new System.Drawing.Font("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
       title1.Name = "Default";
       title1.Text = "Allele Frequencies";
Index: trunk/sources/HeuristicLab.Analysis.Views/3.3/AlleleFrequencyArrayView.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis.Views/3.3/AlleleFrequencyArrayView.cs	(revision 4636)
+++ trunk/sources/HeuristicLab.Analysis.Views/3.3/AlleleFrequencyArrayView.cs	(revision 4637)
@@ -42,4 +42,5 @@
       InitializeComponent();
       invisibleSeries = new List<Series>();
+      chart.CustomizeAllChartAreas();
     }
 
Index: trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.Designer.cs	(revision 4636)
+++ trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.Designer.cs	(revision 4637)
@@ -49,4 +49,5 @@
       System.Windows.Forms.DataVisualization.Charting.Legend legend1 = new System.Windows.Forms.DataVisualization.Charting.Legend();
       System.Windows.Forms.DataVisualization.Charting.Series series1 = new System.Windows.Forms.DataVisualization.Charting.Series();
+      System.Windows.Forms.DataVisualization.Charting.Title title1 = new System.Windows.Forms.DataVisualization.Charting.Title();
       this.chart = new HeuristicLab.Visualization.ChartControlsExtensions.EnhancedChart();
       this.contextMenuStrip = new System.Windows.Forms.ContextMenuStrip(this.components);
@@ -70,7 +71,7 @@
       // chart
       // 
-      this.chart.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
+      this.chart.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.chart.BorderlineColor = System.Drawing.Color.Black;
       this.chart.BorderlineDashStyle = System.Windows.Forms.DataVisualization.Charting.ChartDashStyle.Solid;
@@ -82,9 +83,8 @@
       this.chart.ChartAreas.Add(chartArea1);
       this.chart.ContextMenuStrip = this.contextMenuStrip;
+      legend1.Alignment = System.Drawing.StringAlignment.Center;
       legend1.Docking = System.Windows.Forms.DataVisualization.Charting.Docking.Top;
       legend1.Name = "Legend1";
       this.chart.Legends.Add(legend1);
-      this.chart.EnableDoubleClickResetsZoom = true;
-      this.chart.EnableMiddleClickPanning = true;
       this.chart.Location = new System.Drawing.Point(0, 52);
       this.chart.Name = "chart";
@@ -96,4 +96,8 @@
       this.chart.TabIndex = 4;
       this.chart.Text = "chart1";
+      title1.Font = new System.Drawing.Font("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      title1.Name = "Default";
+      title1.Text = "Title";
+      this.chart.Titles.Add(title1);
       this.chart.CustomizeLegend += new System.EventHandler<System.Windows.Forms.DataVisualization.Charting.CustomizeLegendEventArgs>(this.chart_CustomizeLegend);
       this.chart.MouseDown += new System.Windows.Forms.MouseEventHandler(this.chart_MouseDown);
Index: trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 4636)
+++ trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 4637)
@@ -91,8 +91,8 @@
       base.OnContentChanged();
       invisibleSeries.Clear();
-      chart.Titles.Clear();
+      chart.Titles[0].Text = string.Empty;
       chart.Series.Clear();
       if (Content != null) {
-        chart.Titles.Add(new Title(Content.Name, Docking.Top));
+        chart.Titles[0].Text = Content.Name;
         foreach (DataRow row in Content.Rows)
           AddDataRow(row);
Index: trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.Designer.cs	(revision 4636)
+++ trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.Designer.cs	(revision 4637)
@@ -1,3 +1,24 @@
-﻿namespace HeuristicLab.Visualization.ChartControlsExtensions {
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Visualization.ChartControlsExtensions {
   partial class EnhancedChart {
     /// <summary> 
Index: trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs
===================================================================
--- trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs	(revision 4636)
+++ trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs	(revision 4637)
@@ -25,4 +25,5 @@
 using System.Windows.Forms;
 using System.Windows.Forms.DataVisualization.Charting;
+
 namespace HeuristicLab.Visualization.ChartControlsExtensions {
   public partial class EnhancedChart : Chart {
@@ -45,18 +46,16 @@
         axis.MajorTickMark.TickMarkStyle = TickMarkStyle.AcrossAxis;
         axis.ScrollBar.BackColor = Color.Transparent;
-        axis.ScrollBar.LineColor = Color.Transparent;
+        axis.ScrollBar.LineColor = Color.Gray;
         axis.ScrollBar.ButtonColor = SystemColors.GradientInactiveCaption;
-        axis.ScrollBar.ButtonStyle = ScrollBarButtonStyles.SmallScroll;
+        axis.ScrollBar.ButtonStyle = ScrollBarButtonStyles.All;
         axis.ScrollBar.Size = 12;
         axis.TitleFont = new Font(axis.TitleFont.FontFamily, 10);
       }
-      chartArea.CursorX.Interval = 0;
-      chartArea.CursorY.Interval = 0;
       chartArea.CursorX.IsUserSelectionEnabled = true;
       chartArea.CursorY.IsUserSelectionEnabled = true;
       chartArea.CursorX.IsUserEnabled = false;
       chartArea.CursorY.IsUserEnabled = false;
-      chartArea.CursorX.SelectionColor = SystemColors.GradientActiveCaption;
-      chartArea.CursorY.SelectionColor = SystemColors.GradientActiveCaption;
+      chartArea.CursorX.SelectionColor = Color.Gray;
+      chartArea.CursorY.SelectionColor = Color.Gray;
     }
 
@@ -67,10 +66,9 @@
     }
 
-    #region Mouse event ehancements
-
+    #region Mouse Event Ehancements
     protected override void OnMouseDoubleClick(MouseEventArgs e) {
       if (EnableDoubleClickResetsZoom) {
         HitTestResult result = HitTest(e.X, e.Y);
-        if (result.ChartArea != null && result.ChartElementType == ChartElementType.PlottingArea) {
+        if (result.ChartArea != null && (result.ChartElementType == ChartElementType.PlottingArea || result.ChartElementType == ChartElementType.Gridlines)) {
           foreach (var axis in result.ChartArea.Axes)
             axis.ScaleView.ZoomReset(int.MaxValue);
@@ -80,5 +78,5 @@
     }
 
-    #region panning
+    #region Panning
     private class PanningSupport {
       public ChartArea ChartArea { get; private set; }
@@ -140,5 +138,4 @@
     }
     #endregion
-
     #endregion
 
Index: trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/HeuristicLabVisualizationChartControlsExtensionsPlugin.cs.frame
===================================================================
--- trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/HeuristicLabVisualizationChartControlsExtensionsPlugin.cs.frame	(revision 4636)
+++ trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/HeuristicLabVisualizationChartControlsExtensionsPlugin.cs.frame	(revision 4637)
@@ -22,12 +22,10 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.Tracing {
-
+namespace HeuristicLab.Visualization.ChartControlsExtensions {
   /// <summary>
-  /// HeuristicLab Visualization ChartControls Extensions Plugin
+  /// Plugin class for HeuristicLab.Visualization.ChartControlsExtensions plugin
   /// </summary>  
-  [Plugin("HeuristicLab.Visualization.ChartControlsExtensions", "3.3.1.$WCREV$")]
+  [Plugin("HeuristicLab.Visualization.ChartControlsExtensions", "3.3.2.$WCREV$")]
   [PluginFile("HeuristicLab.Visualization.ChartControlsExtensions-3.3.dll", PluginFileType.Assembly)]
-  public class HeuristicLabVisualizationChartControlsExtensions : PluginBase {}
-
+  public class HeuristicLabVisualizationChartControlsExtensionsPlugin : PluginBase { }
 }
Index: trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/Properties/AssemblyInfo.frame
===================================================================
--- trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/Properties/AssemblyInfo.frame	(revision 4636)
+++ trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/Properties/AssemblyInfo.frame	(revision 4637)
@@ -28,5 +28,5 @@
 // associated with an assembly.
 [assembly: AssemblyTitle("HeuristicLab.Visualization.ChartControlsExtensions")]
-[assembly: AssemblyDescription("Extensions for the Microsoft ChartControls framework .")]
+[assembly: AssemblyDescription("Extensions for the Microsoft Chart Controls.")]
 [assembly: AssemblyConfiguration("")]
 [assembly: AssemblyCompany("")]